curl --request POST \ --url https://woes.dev/api/v1/conversations/{conversationId}/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "I am getting a 401 from POST /orders."}'
const url = 'https://woes.dev/api/v1/conversations/{conversationId}/messages';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('I am getting a 401 from POST /orders.')})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import requests
url = "https://woes.dev/api/v1/conversations/{conversationId}/messages"
payload = { "body": "I am getting a 401 from POST /orders." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('I am getting a 401 from POST /orders.')})
};
fetch('https://woes.dev/api/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request",
"error": "Request body is invalid."
}
{
"code": "unauthorized",
"error": "A valid workspace API key is required."
}
{
"code": "insufficient_scope",
"error": "This API key is missing the required scope."
}
{
"code": "not_found",
"error": "Record not found."
}
{
"code": "rate_limited",
"error": "Too many API requests. Slow down and try again shortly."
}
{
"code": "internal_error",
"error": "The API request could not be completed."
}
Create message
Appends a user or assistant message to a workspace-scoped conversation.
POST
https://woes.dev
/
api
/
v1
/
conversations
/
{conversationId}
/
messages
Create message
curl --request POST \ --url https://woes.dev/api/v1/conversations/{conversationId}/messages \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "body": "I am getting a 401 from POST /orders."}'
const url = 'https://woes.dev/api/v1/conversations/{conversationId}/messages';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('I am getting a 401 from POST /orders.')})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));
import requests
url = "https://woes.dev/api/v1/conversations/{conversationId}/messages"
payload = { "body": "I am getting a 401 from POST /orders." }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({body: JSON.stringify('I am getting a 401 from POST /orders.')})
};
fetch('https://woes.dev/api/v1/conversations/{conversationId}/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));